net.minecraft.nbt

## Class NBTTagInt

- java.lang.Object
- - net.minecraft.nbt.NBTBase
  - - net.minecraft.nbt.NBTBase.NBTPrimitive
    - - net.minecraft.nbt.NBTTagInt

-     public class NBTTagInt
      extends NBTBase.NBTPrimitive

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.nbt.NBTBase

      `NBTBase.NBTPrimitive`

  - ### Field Summary

    - ### Fields inherited from class net.minecraft.nbt.NBTBase

      `NBTTypes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NBTTagInt(int p_i45133_1_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NBTBase` | `copy()`
    `boolean` | `equals(java.lang.Object par1Obj)`
    `double` | `func_150286_g()`
    `int` | `func_150287_d()`
    `float` | `func_150288_h()`
    `short` | `func_150289_e()`
    `byte` | `func_150290_f()`
    `long` | `func_150291_c()`
    `byte` | `getId()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class net.minecraft.nbt.NBTBase

      `func_150283_g, func_150284_a, func_150285_a_`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NBTTagInt

          public NBTTagInt(int p_i45133_1_)

  - ### Method Detail

    - #### getId

          public byte getId()

      Specified by:
        `getId` in class `NBTBase`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in class `NBTBase`

    - #### copy

          public NBTBase copy()

      Specified by:
        `copy` in class `NBTBase`

    - #### equals

          public boolean equals(java.lang.Object par1Obj)

      Overrides:
        `equals` in class `NBTBase`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `NBTBase`

    - #### func_150291_c

          public long func_150291_c()

      Specified by:
        `func_150291_c` in class `NBTBase.NBTPrimitive`

    - #### func_150287_d

          public int func_150287_d()

      Specified by:
        `func_150287_d` in class `NBTBase.NBTPrimitive`

    - #### func_150289_e

          public short func_150289_e()

      Specified by:
        `func_150289_e` in class `NBTBase.NBTPrimitive`

    - #### func_150290_f

          public byte func_150290_f()

      Specified by:
        `func_150290_f` in class `NBTBase.NBTPrimitive`

    - #### func_150286_g

          public double func_150286_g()

      Specified by:
        `func_150286_g` in class `NBTBase.NBTPrimitive`

    - #### func_150288_h

          public float func_150288_h()

      Specified by:
        `func_150288_h` in class `NBTBase.NBTPrimitive`